Browsing Notifications
curl --request GET \
--url https://api.inprocess.world/api/notificationsimport requests
url = "https://api.inprocess.world/api/notifications"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.inprocess.world/api/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"notifications": [
{
"id": "bceddfb3-28f2-49f3-8669-73a813a06b90",
"payment": {
"id": "5fc69bea-1a8a-47f0-8652-8bf041c16a06",
"amount": "1",
"currency": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"transaction_hash": "0xda5f2c55cb20d77ac935ad132afc58c1bf0940927f9afc2991d87f2eaba1d2a6",
"transferred_at": "2026-02-14T11:46:25+00:00",
"moment": {
"id": "a1b2c3d4-e5f6-4890-9a0b-c1d2e3f4a5b6",
"token_id": "1",
"uri": "ar://1wMmKuaz-VdxmruOQJuYS-3nfU3zlNKmPNpc79Ou-qM",
"collection": {
"address": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA",
"chain_id": 8453,
"creator": "0x29b6674c1562e31EdFd9709D9576e8E5F1e68d01"
},
"fee_recipients": [
{
"artist_address": "0x29b6674c1562e31EdFd9709D9576e8E5F1e68d01",
"percent_allocation": 100
}
]
},
"buyer": {
"address": "0x4b4324bcC6dB9380ABBbbD20B24A16C11FB5B38A",
"username": "crypto_collector"
}
},
"artist": {
"address": "0x29b6674c1562e31EdFd9709D9576e8E5F1e68d01",
"username": "digital_artist_1",
"bio": "Digital artist exploring the intersection of technology and creativity",
"instagram_username": "@digital_artist_1",
"twitter_username": "@digital_artist_1",
"telegram_username": "@digital_artist_1"
},
"viewed": false,
"created_at": "2025-06-07T20:41:35+00:00"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Notifications
Browsing Notifications
Retrieve notification records from the In•Process protocol. Supports filtering by artist address and viewed status.
This is a public endpoint and does not require authentication.
Endpoint behavior:
- If no parameters are provided: Returns the latest notification records.
- If
artistis provided: Filters notifications where the artist is the provided address. - If
viewedis provided: Filters notifications by their viewed status (true for viewed, false for unviewed).
GET
/
notifications
Browsing Notifications
Query Parameters
Filter by artist address (notifications for this artist)
Filter by viewed status (true for viewed, false for unviewed)
⌘I